<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{9BC3198E-21AB-48B1-B86A-1BCA19A1321E}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>BRServer</RootNamespace>
    <AssemblyName>BRServer</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\bin\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="log4net">
      <HintPath>..\..\test\supersocket\bin\log4net.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=4.5.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\test\supersocket\bin\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="SuperSocket.Common">
      <HintPath>..\..\test\supersocket\bin\SuperSocket.Common.dll</HintPath>
    </Reference>
    <Reference Include="SuperSocket.Facility">
      <HintPath>..\..\test\supersocket\bin\SuperSocket.Facility.dll</HintPath>
    </Reference>
    <Reference Include="SuperSocket.SocketBase">
      <HintPath>..\..\test\supersocket\bin\SuperSocket.SocketBase.dll</HintPath>
    </Reference>
    <Reference Include="SuperSocket.SocketEngine">
      <HintPath>..\..\test\supersocket\bin\SuperSocket.SocketEngine.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Runtime.Caching" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BRTagHandler.cs" />
    <Compile Include="CasicCmd.cs" />
    <Compile Include="CasicSender.cs" />
    <Compile Include="CasicSession.cs" />
    <Compile Include="CellTag.cs" />
    <Compile Include="CellTagHandler.cs" />
    <Compile Include="CodeUtils.cs" />
    <Compile Include="Config.cs" />
    <Compile Include="DefaultTagHandler.cs" />
    <Compile Include="NAJson.cs" />
    <Compile Include="NASDK.cs" />
    <Compile Include="NormalTag.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="StringUtil.cs" />
    <Compile Include="SystemDateTag.cs" />
    <Compile Include="SystemDateTagHandler.cs" />
    <Compile Include="SystemTimeConfig.cs" />
    <Compile Include="Tag.cs" />
    <Compile Include="TagConfig.cs" />
    <Compile Include="TagFactory.cs" />
    <Compile Include="TagHandler.cs" />
    <Compile Include="TEA.cs" />
    <Compile Include="TelecomReceiveFilter.cs" />
    <Compile Include="TelecomServer.cs" />
    <Compile Include="UploadTag.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\BRServer.BLL\BRServer.BLL.csproj">
      <Project>{7026BC6C-45D6-4DE1-B582-7B59386BD7EB}</Project>
      <Name>BRServer.BLL</Name>
    </ProjectReference>
    <ProjectReference Include="..\BRServer.DALFactory\BRServer.DALFactory.csproj">
      <Project>{E5BF105B-7AF7-417A-99BF-4B10FF8E3989}</Project>
      <Name>BRServer.DALFactory</Name>
    </ProjectReference>
    <ProjectReference Include="..\BRServer.IDAL\BRServer.IDAL.csproj">
      <Project>{72289652-9B72-40CD-AD77-0DD874ACFBAC}</Project>
      <Name>BRServer.IDAL</Name>
    </ProjectReference>
    <ProjectReference Include="..\BRServer.Model\BRServer.Model.csproj">
      <Project>{40F28AD1-B88C-4CA8-BABB-9453D221964A}</Project>
      <Name>BRServer.Model</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>